import { IRotationalPreview, IPreviewInfo, IWidgetShellFeeds, RefreshContentTaskStatus, WidgetForceRefreshUnify1SCallVerb } from "../apis/api.interfaces";
export declare class WidgetShellFeeds implements IWidgetShellFeeds {
    tryGetFeedsContent(): Promise<string>;
    tryGetBackgroundTaskStatus(): Promise<number>;
    invalidateFeedsCache(): Promise<number>;
    getRotationalPreviewIds(): Promise<IRotationalPreview>;
    getCurrentDefaultPreviewContent(): Promise<string>;
    getCurrentPreviewInTaskbar(): Promise<IPreviewInfo>;
    getCurrentFeedsServiceActivityID(): Promise<string>;
    getTaskbarSettingChangedInfo(): Promise<string>;
    isCurrentFeedsStaticFallback(): Promise<boolean>;
    refreshFeedsContentAsync(verb: WidgetForceRefreshUnify1SCallVerb, data: string): Promise<RefreshContentTaskStatus>;
}
